Main Page Class Hierarchy Compound List File List Compound Members File Members

# FAwk Class Reference

`#include <cmt_awk.h>`

Inheritance diagram for FAwk

[legend]
Collaboration diagram for FAwk:

[legend]
List of all members.

## Public Methods
condition | run (const cmt_string& file_name, const cmt_string& pattern = "")
condition | run (const cmt_string& text, const cmt_regexp& expression)
## Protected Attributes
cmt_string | m_dir_name
cmt_string | m_file_name

## Member Function Documentation

Awk::condition FAwk::run ( | const cmt_string & file_name,
| const cmt_regexp & expression )

| Reimplemented from Awk. Definition at line 469 of file cmt_awk.cxx.
    00471 {
    00472   if (!CmtSystem::test_file (file_name)) return (failed);
    00473
    00474   CmtSystem::basename (file_name, m_file_name);
    00475   CmtSystem::dirname (file_name, m_dir_name);
    00476
    00477   cmt_string text;
    00478
    00479   text.read (file_name);
    00480
    00481   return (Awk::run (text, expression));
    00482 }

Awk::condition FAwk::run ( | const cmt_string & file_name,
| const cmt_string & pattern = "" )

| Reimplemented from Awk. Definition at line 453 of file cmt_awk.cxx. Referenced by MakefileGenerator::analyze_file(), Generator::build_prototype(), Cmt::do_run_sequence(), TriggerGenerator::run(), and UseAnalyzer::run().
    00455 {
    00456   if (!CmtSystem::test_file (file_name)) return (failed);
    00457
    00458   CmtSystem::basename (file_name, m_file_name);
    00459   CmtSystem::dirname (file_name, m_dir_name);
    00460
    00461   cmt_string text;
    00462
    00463   text.read (file_name);
    00464
    00465   return (Awk::run (text, pattern));
    00466 }

## Member Data Documentation

cmt_string FAwk::m_dir_name`[protected]`

| Definition at line 84 of file cmt_awk.h.

cmt_string FAwk::m_file_name`[protected]`

| Definition at line 85 of file cmt_awk.h.

The documentation for this class was generated from the following files:

- cmt_awk.h
- cmt_awk.cxx